## org.apache.cocoon.framework
Class AbstractActor

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor

All Implemented Interfaces:
  Actor

Direct Known Subclasses:
  AbstractInterpreter, AbstractProducer, DCPProcessor, LdapProcessor, NoCache, Router, SQLProcessor, XalanTransformer, XIncludeProcessor, XSPProcessor, XTTransformer

public abstract class AbstractActor
extends java.lang.Object
implements Actor

This class implements the usual method to store and keep the director reference for later use.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:21 $
Author:
  Stefano Mazzocchi

Field Summary
`protected Director` `director`

Constructor Summary
`AbstractActor()`

Method Summary
`void` `init(Director director)` Initialize the actor by indicating their director.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### director

    protected Director director

Constructor Detail

### AbstractActor

    public AbstractActor()

Method Detail

### init

    public void init(Director director)

  Initialize the actor by indicating their director.
  Specified by:
    `init` in interface `Actor`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.